Subject: Trainer Candidate - Avtarit Talwar
From: Avtarit Talwar <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 27 May 2021 07:38:09 -0400

| | Tech Support Test

Name | Avtarit Talwar
E-mail | [email-masked]
Phone Number | (+91) 9928847000
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute using other transport like Rickshaw
Where do you currently live (area) | Jaipur

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | | | |
Previous Employer 1 | Jewel Alliance Network Pvt Ltd | Senior Lead CRM | 31/03/2020 | 70000
Previous Employer 2 | Cardekho | Operations Manager | 14/09/2014 | 45000

If Selected, how much time do you need to join? | 15 Days

Please briefly describe your work experience specifically in training?

I have been involved in training throughout my career, being from operations, i have been conducting process and behavioral trainings. Currently running my you tube channel to impart knowledge to people around.

https://www.youtube.com/channel/UCuQ-0gLrVxMX-Z0TTUptVWg

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | No
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | I was given a team which was underperforming and that was very challenging, since the team was not up to the mark and hence was demotivated as well. Gave them bit of training and small incremental targets and it did wonders for the team.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Good customer service is dealing with customers in the right way, great customer service is dealing with customers the right way and identifying their unstated needs and fulfilling them to create a delight for customer.
What according to you makes you a good candidate for this position? | I have strong and vast experience in BPO industry and I believe In servant leadership. Where in I strongly follow coaching and motivating along with developing skills of my team to create future leaders
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |